JAXB v2.2.2

## javax.xml.bind.annotation
Annotation Type XmlEnum

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface XmlEnum

Maps an enum type `Enum` to XML representation.

This annotation, together with `XmlEnumValue` provides a mapping of enum type to XML representation.

Usage

The `@XmlEnum` annotation can be used with the following program elements:

- enum type

The usage is subject to the following constraints:

- This annotation can be used the following other annotations: `XmlType`, `XmlRootElement`

See "Package Specification" in javax.xml.bind.package javadoc for additional common information

An enum type is mapped to a schema simple type with enumeration facets. The schema type is derived from the Java type to which `@XmlEnum.value()`. Each enum constant `@XmlEnumValue` must have a valid lexical representation for the type `@XmlEnum.value()` .

Examples: See examples in `XmlEnumValue`

Since:
  JAXB2.0

Optional Element Summary
`Class<?>` `value` Java type that is mapped to a XML simple type.

### value

    public abstract Class<?> value

  Java type that is mapped to a XML simple type.

  Default:
    java.lang.String.class

JAXB 2.0 PFD Specification License

Comments to: spec-comments@jsr222.dev.java.net
More information at: http://java.sun.com/xml/jaxb

Copyright © 2004 by Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.